Package fr.gouv.vitam.worker.core.plugin.preservation.model

# Class WorkflowBatchResult

java.lang.Object
fr.gouv.vitam.worker.core.plugin.preservation.model.WorkflowBatchResult

public class WorkflowBatchResult extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WorkflowBatchResult.OutputExtra`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StatusCode`
  `getGlobalStatus()`
  `String`
  `getGotId()`
  `List<WorkflowBatchResult.OutputExtra>`
  `getOutputExtras()`
  `String`
  `getRequestId()`
  `String`
  `getSourceStrategy()`
  `String`
  `getSourceUse()`
  `String`
  `getTargetUse()`
  `String`
  `getUnitId()`
  `List<String>`
  `getUnitsForExtractionAU()`
  `static WorkflowBatchResult`
  `of(WorkflowBatchResult workflowBatchResult, List<WorkflowBatchResult.OutputExtra> outputExtras)`
  `static WorkflowBatchResult`
  `of(String gotId, String unitId, String targetUse, String requestId, List<WorkflowBatchResult.OutputExtra> outputExtras, String sourceUse, String sourceStrategy, List<String> unitsForExtractionAU)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### of

    public static WorkflowBatchResult of(String gotId, String unitId, String targetUse, String requestId, List<WorkflowBatchResult.OutputExtra> outputExtras, String sourceUse, String sourceStrategy, List<String> unitsForExtractionAU)

  - ### of

    public static WorkflowBatchResult of(WorkflowBatchResult workflowBatchResult, List<WorkflowBatchResult.OutputExtra> outputExtras)

  - ### getGotId

    public String getGotId()

  - ### getUnitId

    public String getUnitId()

  - ### getRequestId

    public String getRequestId()

  - ### getTargetUse

    public String getTargetUse()

  - ### getSourceUse

    public String getSourceUse()

  - ### getSourceStrategy

    public String getSourceStrategy()

  - ### getOutputExtras

    public List<WorkflowBatchResult.OutputExtra> getOutputExtras()

  - ### getGlobalStatus

    public StatusCode getGlobalStatus()

  - ### getUnitsForExtractionAU

    public List<String> getUnitsForExtractionAU()